Menu

## Permission
in package
implements CreateableInterface Uses Creator, Deletor

Permission.php : 19

Represents a permission.

##### Tags

Entity
Table

  (name="permissions")

### Interfaces, Classes and Traits

CreateableInterface
  Interface for createable models.

### Table of Contents

$fillable : mixed
$id : mixed
$library : mixed
$name : mixed
create() : CreateableInterface
  Creates and returns an entity instance and fills values.
delete() : mixed
  Deletes the entity.
getId() : string
  Returns the id of this entity.
getLibrary() : string
  Returns the library this permission belongs to.
getName() : string
  Gets this entity's human readable name.
setId() : mixed
  Sets this entity's id if it's not set yet.
setLibrary() : mixed
  Sets the library this permission belongs to.
setName() : mixed
  Sets this entity's human readable name.

### Properties

#### $fillable

Permission.php : 31
`public static mixed $fillable = ["id", "library", "name"]`

#### $id

Permission.php : 25
`private mixed $id`

##### Tags

Id

  @Column(type="string");

#### $library

Permission.php : 27
`private mixed $library`

##### Tags

Column

  (type="string")

#### $name

Permission.php : 29
`private mixed $name`

##### Tags

Column

  (type="string")

### Methods

#### create()

Creator.php : 25

Creates and returns an entity instance and fills values.

`public static create(array<string|int, mixed> $arguments) : CreateableInterface`

##### Parameters

$arguments : array<string|int, mixed>

  The values the instance should get

##### Tags

throws
  WrongTypeException|UnexpectedArrayKeyException
throws
  AttributeMissingException

##### Return values

CreateableInterface —

The created Entity

#### delete()

Deletor.php : 17

Deletes the entity.

`public delete(EntityManagerInterface $em) : mixed`

##### Parameters

$em : EntityManagerInterface

##### Return values

mixed —

#### getId()

Permission.php : 41

Returns the id of this entity.

`public getId() : string`

##### Return values

string —

#### getLibrary()

Permission.php : 64

Returns the library this permission belongs to.

`public getLibrary() : string`

##### Return values

string —

#### getName()

Permission.php : 82

Gets this entity's human readable name.

`public getName() : string`

##### Return values

string —

#### setId()

Permission.php : 51

Sets this entity's id if it's not set yet.

`public setId(string $id) : mixed`

##### Parameters

$id : string

##### Tags

throws
  ArgumentException

##### Return values

mixed —

#### setLibrary()

Permission.php : 73

Sets the library this permission belongs to.

`public setLibrary(string $library) : mixed`

##### Parameters

$library : string

##### Return values

mixed —

#### setName()

Permission.php : 91

Sets this entity's human readable name.

`public setName(string $name) : mixed`

##### Parameters

$name : string

##### Return values

mixed —

## Search results